View Javadoc

    1   // ========================================================================
    2   // $Id: List.java,v 1.3 2004/05/09 20:31:28 gregwilkins Exp $
    3   // Copyright 1996-2004 Mort Bay Consulting Pty. Ltd.
    4   // ------------------------------------------------------------------------
    5   // Licensed under the Apache License, Version 2.0 (the "License");
    6   // you may not use this file except in compliance with the License.
    7   // You may obtain a copy of the License at
    8   // http://www.apache.org/licenses/LICENSE-2.0
    9   // Unless required by applicable law or agreed to in writing, software
    10  // distributed under the License is distributed on an "AS IS" BASIS,
    11  // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    12  // See the License for the specific language governing permissions and
    13  // limitations under the License.
    14  // ========================================================================
    15
    16  package org.mortbay.html;
    17
    18
    19  /* -------------------------------------------------------------------- */
    20  /** HTML List Block.
    21   * Each Element added to the List (which is a Composite) is treated
    22   * as a new List Item.
    23   * @see  org.mortbay.html.Block
    24   */
    25  public class List extends Block
    26  {
    27      /* ----------------------------------------------------------------- */
    28      public static final String Unordered="ul";
    29      public static final String Ordered="ol";
    30      public static final String Menu="menu";
    31      public static final String Directory="dir";
    32
    33      /* ----------------------------------------------------------------- */
    34      public List(String type)
    35      {
    36          super(type);
    37      }
    38
    39      /* ----------------------------------------------------------------- */
    40      /**
    41       * @param o The item
    42       * @return This List.
    43       */
    44      public Composite add(Object o)
    45      {
    46          super.add("<li>");
    47          super.add(o);
    48          super.add("</li>");
    49          return this;
    50      }
    51
    52      /* ----------------------------------------------------------------- */
    53      /**
    54       * @return The new Item composite
    55       */
    56      public Composite newItem()
    57      {
    58          super.add("<li>");
    59          Composite composite=new Composite();
    60          super.add(composite);
    61  	super.add("</li>");
    62          return composite;
    63      }
    64
    65
    66  }
    67
    68
    69
    70
    71
    72